<app-nav-bar [type] = " 'merchant' ">
    <div class="actions">
        <app-upload-files #uploader  [fields] = "documentFiles" [allowedExt] = " ['xlsx'] " (filesEmiter) = "registerProducts($event)" 
                (uploadEmmiter) = "verifyUpload()" ></app-upload-files>
        <button class="excel" (click)="downloadTemplate()"> Descargar formato</button>
        <button class="adProduct" (click)="addNewProduct()"> Agregar un nuevo producto</button>
    </div>

    <div *ngIf ="showProgressBar" class="progresBar" >
        Procesando productos <br><br>
        <mat-progress-bar mode="determinate" value="{{timeSpented}}"></mat-progress-bar>
    </div>

    <div class="table" *ngIf="showTable">
        <app-table #tableA  [headers]="headers" [ids]="ids" [data]="products" (emiiter)="showProductDetail($event)" (editEmiiter) = "editProduct($event)"
        (removeEmiiter) = "removeProduct($event)"  ></app-table>
    </div>
</app-nav-bar>
